> For the complete documentation index, see [llms.txt](https://docs.nftgarden.app/jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftgarden.app/jp/api/nft-api/v1.2/resource.md).

# リソース

## NFT <a href="#nft" id="nft"></a>

NFTはNFT Gardenにおける最も基本的な単位の一つです。 任意のコレクションに対してNFTを生成することが可能です。

{% hint style="info" %}
NFTの各エンドポイントを呼び出す為には、コントラクト生成時に、API機能を有効化しておく必要があります。
{% endhint %}

## nft\_gdn\_id <a href="#nft-gdn-id" id="nft-gdn-id"></a>

`nft_gdn_id`はNFT GardenでNFTを生成した際に付与されるIDです。`nft_gdn_id`を使ってNFTの詳細を取得することが可能です。

## transaction\_gdn\_id <a href="#transaction-gdn-id" id="transaction-gdn-id"></a>

transaction\_gdn\_idはNFT Gardenでコントラクトを生成した際に付与されるIDです。`transaction_gdn_id`を使ってコントラクトの詳細を取得することが可能です。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/resource.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
